package org.jeecg.modules.flowpath.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.flowpath.dto.*;
import org.jeecg.modules.flowpath.entity.ItdmRunFlowPathStep;
import org.jeecg.modules.flowpath.vo.ItdmBuohuiRunFlowPathStepVO;

import java.util.List;

/**
 * @Description: 运行流程步骤表
 * @Author: jeecg-boot
 * @Date: 2023-07-20
 * @Version: V1.0
 */
public interface IItdmRunFlowPathStepService extends IService<ItdmRunFlowPathStep> {


    void saveData(ItdmSaveRunFlowPath saveRunFlowPath);


    void pass(ItdmSaveRunFlowPath saveRunFlowPath);

    /**通过时选择下一步操作的人*/
    public List<String> selectNextStepUser(ItdmPassSelectNextStepUserRunFlowPath runFlowPath);

    void pass1(ItdmPassRunFlowPath itdmRunFlowPathStep);


    void rejectDQ(ItdmRejectDQRunFlowPath itdmRejectDQRunFlowPath);

    void rejectzd(ItdmRejectZDRunFlowPath zdRunFlowPath);

    public List<ItdmBuohuiRunFlowPathStepVO> yrunList(String runFlowPath);


    void jieshu(String s);
}
